Bug 582931 - Review Request: Piwik - An open source web analytics software
Review Request: Piwik - An open source web analytics software
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-04-16 04:03 EDT by Shree Kant
Modified: 2010-11-18 08:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 08:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shree Kant 2010-04-16 04:03:36 EDT
Spec URL: http://www.geekybuddha.org/packages/piwik/piwik.spec
SRPM URL: http://www.geekybuddha.org/packages/piwik/piwik-0.5.5-update.src.rpm
Description: RPM package for Piwik, open source web  analytics software.
It gives interesting reports on your website visitors, your popular pages, 
the search engines keywords they used, the language they speak… and so much more.

This is my first ever fedora rpm package. I need reviews and sponsor for this package. I am willing to be a maintainer for this project. It was suggested on Fedora India mailing list to package this web application, here http://lists.fedoraproject.org/pipermail/india/2010-April/003257.html

I am looking forward for more interesting work with fedora in future.

Cheers
Comment 1 Howard Ning 2010-04-16 09:09:24 EDT
This is my informal review:

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Package is named according to the Package Naming Guidelines. The release should be like Release: 1%{?dist}. Refer to http://fedoraproject.org/wiki/Packaging/NamingGuidelines
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines.
[-]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on:
[!]  Rpmlint output:rpmlint piwik-0.5.5-update.src.rpm 
piwik.src: W: spelling-error Summary(en_US) analytics -> analytic, analytic s, paralytics
piwik.src: W: summary-ended-with-dot C Piwik is an open source web analytics software.
piwik.src: W: name-repeated-in-summary C Piwik
piwik.src: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
piwik.src: E: description-line-too-long C the search engines keywords they used, the language they speak… and so much more.
piwik.src: W: non-standard-group Web Development
piwik.src: E: no-changelogname-tag
piwik.src:14: W: hardcoded-path-in-buildroot-tag /tmp/piwik-rpm
piwik.src:25: W: setup-not-quiet
piwik.src: W: no-cleaning-of-buildroot %install
piwik.src: W: no-cleaning-of-buildroot %clean
piwik.src: W: invalid-url Source0: piwik.tar.gz
1 packages and 0 specfiles checked; 2 errors, 10 warnings.

[x]  Package is not relocatable.
[!]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)) Buildroot is not required for the Fedora 10 and on. http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines. 
[!]  License field in the package spec file matches the actual license.
License type: The licence should be GPLv3+ as described in the LICENSE file.
[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc. %doc is not included. It should at least include the LICENSE file. See http://fedoraproject.org/wiki/Packaging/Guidelines#Documentation
[!]  Spec file is legible and written in American English.  the language they speak… and so much more. The "..." is not needed.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 50073f2195780f33dd4bf97153173fd9
MD5SUM upstream package: 36207f77ac5527121c47a37fa1afe991
The upstream uses the zip to compress the source.
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. (I think Requires: webserver is better.
[?]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[!]  Package must own all directories that it creates. You should specify it in the %file.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[!]  Permissions on files are set properly. 777 is dangerous!!!!!!
[!]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Large documentation files are in a -doc subpackage, if required.
[-]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[?]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[-]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?]  Reviewer should test that the package builds in mock.
Tested on:
[-]  Package should compile and build into binary rpms on all supported architectures.
Tested on:
[?]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
As described above. I have commented on the items with problems.

=== Final Notes ===
1. Please read http://fedoraproject.org/wiki/Packaging/Guidelines carefully before packaging.
2. The files are installed in %install not in %post. 
3. Run rpmlint on every RPMs and SPEC and fix the errors.
Comment 2 Parag AN(पराग) 2010-04-22 06:21:27 EDT
Welcome to Fedora Project and Thanks for submitting this package.

You first need to install fedora-packager rpm on your Fedora system.
New contributors need to show that they have an understanding      
of http://fedoraproject.org/wiki/Package_Review_Process and of the Fedora packaging guidelines.
See http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Sponsorship can be obtained either by 
Submitting few more packages that follows Fedora packaging guidelines.
AND/OR
Doing an un-official(informal) package reviews for other people's package submission.
(Note: you can not do official package reviews and approve others packages in Fedora till you get sponsored)

So, start reviewing packages and post the review bug number here. 
This will show that you are doing some review work
and people who can check your review and sponsor you accordingly.

References that you can use for this process are
http://fedoraproject.org/wiki/PackageNamingGuidelines
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
http://fedoraproject.org/wiki/Licensing
http://fedoraproject.org/wiki/PackagingGuidelines
http://fedoraproject.org/wiki/Category:Packaging_guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Use above links for reviewing others packages. Also, Good if you will review in detail.
Make sure you are checking scratch build is successful and rpmlint output in review.

For scratch build on koji use command
koji build --scratch dist-f14 <SRPM_file>

Find new packages from http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 3 Parag AN(पराग) 2010-06-17 23:23:54 EDT
Ping
any updates here?
Comment 4 Fabian Affolter 2010-10-27 11:09:20 EDT
BTW piwik 1.0 was released
Comment 5 Jason Tibbitts 2010-11-18 08:55:58 EST
Many months with no response to pings; I'll just close this out.

Note You need to log in before you can comment on or make changes to this bug.